@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap');

*{
    box-sizing: border-box;
}

body{
    font-family: 'Roboto', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    overflow: hidden;
}

/* custom scrollbar */
::-webkit-scrollbar {
    width: 20px;
}
  
::-webkit-scrollbar-track {
    background-color: transparent;
}
  
::-webkit-scrollbar-thumb {
    background-color: #e6a6a6;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}
  
::-webkit-scrollbar-thumb:hover {
    background-color: #02ffdd;
}
/* end of custom scrollbar */

.container{
    border-radius: 5px;
    overflow: hidden;
    width: 300px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.12), 0 1px 2px rgba(7, 7, 7, 0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}
.container:hover {
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}

.title{
    margin: 0;
}
.subtitle{
    display: inline-block;
    margin: 5px 0 10px;
    opacity: 0.8;
}
.header{
    background-color: #e6a6a6;
    color: white;
    padding: 10px 20px;
    text-align: center;
}
.header ::placeholder{
    letter-spacing: 10px;
}
.header input{
    background-color: rgba(187, 182, 182, 0.301);
    box-shadow: 0 8px 6px -9px black;
    border: 0;
    border-radius: 50px;
    color: white;
    font-size: 14px;
    padding: 10px 5px;
    width: 100%;
    text-align: center;
}
.header input:focus{
    outline: none;
}

.user-list{
    background-color: whitesmoke;
    list-style-type: none;
    margin: 0;
    margin-left: -30px;
    max-height: 400px;
    overflow-y: auto;
    display: none;
    /* opacity: 0; */
}
.container:hover .user-list{
    display: block;
}
.user-list li{
    display: flex;
    padding: 20px;
    transition: all .5s;
}
li:hover {
    background-color: white;
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.user-list img{
    border-radius: 50%;
    object-fit: cover;
    height: 50px;
    width: 50px;  
}
.user-list .user-info{
    margin-left: 10px;
}
.user-list .user-info h4{
    margin: 0 0 10px;
}
.user-list .user-info p{
    font-size: 12px;
}
.user-list li:not(:last-of-type){
    border-bottom: 1px solid #eee;
}
.user-list li.hide{
    display: none;
}